<template>
  <tag
    @click="task.toggleToday(true)"
    :class="
      `clickable-bg ${task.isFocus() ? 'bg-black text-white border-black hover:bg-gray-900 hover:text-white' : ''}`
    "
  >
    <i class="hero fire solid"></i>
  </tag>
</template>

<script>
import Task from "@/models/Task";
import Tag from "@/components/Tag.vue";
export default {
  components: { Tag },
  props: {
    task: {
      type: Task,
      required: true
    }
  }
};
</script>
